abis_rsl_rll_hdr Struct Reference
A-bis RSL

`#include <gsm_08_58.h>`

## Data Fields

struct abis_rsl_common_hdr | c
uint8_t | ie_chan
| RSL_IE_CHAN_NR (tag) More...
uint8_t | chan_nr
| RSL channel number (value) More...
uint8_t | ie_link_id
| RSL_IE_LINK_IDENT (tag) More...
uint8_t | link_id
| RSL link identifier (value) More...
uint8_t | data [0]
| message payload data More...

## Field Documentation

## c

struct abis_rsl_common_hdr abis_rsl_rll_hdr::c

Referenced by rsl_init_rll_hdr(), rsl_rll_push_hdr(), rsl_rll_simple(), rslms_rx_rll(), and rslms_rx_rll_res_req().

## chan_nr

uint8_t abis_rsl_rll_hdr::chan_nr

RSL channel number (value)

Referenced by rsl_rll_push_hdr(), rsl_rll_simple(), rslms_rx_rll_est_req(), rslms_rx_rll_res_req(), and rslms_rx_rll_udata_req().

## data

uint8_t abis_rsl_rll_hdr::data[0]

message payload data

Referenced by rslms_rx_rll_data_req(), rslms_rx_rll_est_req(), rslms_rx_rll_rel_req(), rslms_rx_rll_res_req(), and rslms_rx_rll_udata_req().

## ie_chan

uint8_t abis_rsl_rll_hdr::ie_chan

RSL_IE_CHAN_NR (tag)

Referenced by rsl_init_rll_hdr().

## ie_link_id

uint8_t abis_rsl_rll_hdr::ie_link_id

RSL_IE_LINK_IDENT (tag)

Referenced by rsl_init_rll_hdr().

## link_id

uint8_t abis_rsl_rll_hdr::link_id

RSL link identifier (value)

Referenced by rsl_rll_push_hdr(), rsl_rll_simple(), rslms_rx_rll(), rslms_rx_rll_est_req(), rslms_rx_rll_res_req(), rslms_rx_rll_susp_req(), and rslms_rx_rll_udata_req().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_58.h